dp12: XDp_SbMsgLinkAddressReplyPortDetail Struct Reference

| dp12 Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XDp_SbMsgLinkAddressReplyPortDetail Struct Reference
Dp_v6_0

This typedef describes a port that is connected to a DisplayPort branch device. More...

## Data Fields
u8 | InputPort
| Specifies that this port is an input port. More...
u8 | PeerDeviceType
| Specifies the device type connected to this port. More...
u8 | PortNum
| The port number of this port. More...
u8 | MsgCapStatus
| This port or the device at this port can send and receive MST messages. More...
u8 | DpDevPlugStatus
| There is a device connected to this port. More...
u8 | LegacyDevPlugStatus
| This port is connected to a legacy device. More...
u8 | DpcdRev
| The DisplayPort Configuration Data (DPCD) revision of the device connected to this port. More...
u8 | Guid [XDP_GUID_NBYTES]
| The global unique identifier (GUID) of the device connected to this port. More...
u8 | NumSdpStreams
| The total number of Secondary-Data Packet (SDP) streams that this port can handle. More...
u8 | NumSdpStreamSinks
| The number of SDP streams associated with this port. More...

## Detailed Description

This typedef describes a port that is connected to a DisplayPort branch device.

This structure is used when the driver is operating in multi-stream transport (MST) mode.

## Field Documentation

u8 XDp_SbMsgLinkAddressReplyPortDetail::DpcdRev

The DisplayPort Configuration Data (DPCD) revision of the device connected to this port.

u8 XDp_SbMsgLinkAddressReplyPortDetail::DpDevPlugStatus

There is a device connected to this port.

u8 XDp_SbMsgLinkAddressReplyPortDetail::Guid[XDP_GUID_NBYTES]

The global unique identifier (GUID) of the device connected to this port.

u8 XDp_SbMsgLinkAddressReplyPortDetail::InputPort

Specifies that this port is an input port.

u8 XDp_SbMsgLinkAddressReplyPortDetail::LegacyDevPlugStatus

This port is connected to a legacy device.

u8 XDp_SbMsgLinkAddressReplyPortDetail::MsgCapStatus

This port or the device at this port can send and receive MST messages.

u8 XDp_SbMsgLinkAddressReplyPortDetail::NumSdpStreams

The total number of Secondary-Data Packet (SDP) streams that this port can handle.

u8 XDp_SbMsgLinkAddressReplyPortDetail::NumSdpStreamSinks

The number of SDP streams associated with this port.

u8 XDp_SbMsgLinkAddressReplyPortDetail::PeerDeviceType

Specifies the device type connected to this port.

u8 XDp_SbMsgLinkAddressReplyPortDetail::PortNum

The port number of this port.